# Uses of Enum Class
java.text.ListFormat.Type

Packages that use ListFormat.Type
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

- ## Uses of ListFormat.Type in java.text

  Subclasses with type arguments of type ListFormat.Type in java.text
  Modifier and Type
  Class
  Description
  `static enum`
  `ListFormat.Type`
  A ListFormat type - `STANDARD`, `OR`, and `UNIT`.
  Methods in java.text that return ListFormat.Type
  Modifier and Type
  Method
  Description
  `static ListFormat.Type`
  ListFormat.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ListFormat.Type[]`
  ListFormat.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.text with parameters of type ListFormat.Type
  Modifier and Type
  Method
  Description
  `static ListFormat`
  ListFormat.`getInstance(Locale locale, ListFormat.Type type, ListFormat.Style style)`
  Returns the ListFormat object for the specified `Locale`, `Type`, and `Style`.